Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQImageFormatType Class Reference

The TQImageFormatType class is a factory that makes TQImageFormat objects. More...

`#include <ntqasyncimageio.h>`

List of all member functions.

## Public Members

- virtual ~TQImageFormatType ()
- virtual TQImageFormat * decoderFor ( const uchar * buffer, int length ) = 0
- virtual const char * formatName () const = 0

## Protected Members

- TQImageFormatType ()

## Detailed Description

The TQImageFormatType class is a factory that makes TQImageFormat objects.

Whereas the TQImageIO class allows for complete loading of images, TQImageFormatType allows for incremental loading of images.

New image file formats are installed by creating objects of derived classes of TQImageFormatType. They must implement decoderFor() and formatName().

TQImageFormatType is a very simple class. Its only task is to recognize image data in some format and make a new object, subclassed from TQImageFormat, which can decode that format.

The factories for formats built into TQt are automatically defined before any other factory is initialized. If two factories would recognize an image format, the factory created last will override the earlier one; you can thus override current and future built-in formats.

See also Graphics Classes, Image Processing Classes, and Multimedia Classes.

## Member Function Documentation

### TQImageFormatType::TQImageFormatType ()`[protected]`

Constructs a factory. It automatically registers itself with TQImageDecoder.

### TQImageFormatType::~TQImageFormatType ()`[virtual]`

Destroys a factory. It automatically unregisters itself from TQImageDecoder.

### TQImageFormat * TQImageFormatType::decoderFor ( const uchar * buffer, int length )`[pure virtual]`

Returns a decoder for decoding an image that starts with the bytes in buffer. The length of the data is given in length. This function should only return a decoder if it is certain that the decoder applies to data with the given header. Returns 0 if there is insufficient data in the header to make a positive identification or if the data is not recognized.

### const char * TQImageFormatType::formatName () const`[pure virtual]`

Returns the name of the format supported by decoders from this factory. The string is statically allocated.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.